changeset 52101:5fcf63f0d86c

8211714: Need to update vm_version.cpp to recognise VS2017 minor versions Reviewed-by: dholmes Contributed-by: muthusamy.chinnathambi@oracle.com
author kevinw
date Thu, 11 Oct 2018 15:49:23 -0700
parents 62523934374c
children 19f6b12df31a
files src/hotspot/share/runtime/vm_version.cpp
diffstat 1 files changed, 6 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/src/hotspot/share/runtime/vm_version.cpp	Thu Oct 11 23:48:55 2018 +0200
+++ b/src/hotspot/share/runtime/vm_version.cpp	Thu Oct 11 15:49:23 2018 -0700
@@ -218,10 +218,16 @@
         #define HOTSPOT_BUILD_COMPILER "MS VC++ 12.0 (VS2013)"
       #elif _MSC_VER == 1900
         #define HOTSPOT_BUILD_COMPILER "MS VC++ 14.0 (VS2015)"
+      #elif _MSC_VER == 1911
+        #define HOTSPOT_BUILD_COMPILER "MS VC++ 15.3 (VS2017)"
       #elif _MSC_VER == 1912
         #define HOTSPOT_BUILD_COMPILER "MS VC++ 15.5 (VS2017)"
       #elif _MSC_VER == 1913
         #define HOTSPOT_BUILD_COMPILER "MS VC++ 15.6 (VS2017)"
+      #elif _MSC_VER == 1914
+        #define HOTSPOT_BUILD_COMPILER "MS VC++ 15.7 (VS2017)"
+      #elif _MSC_VER == 1915
+        #define HOTSPOT_BUILD_COMPILER "MS VC++ 15.8 (VS2017)"
       #else
         #define HOTSPOT_BUILD_COMPILER "unknown MS VC++:" XSTR(_MSC_VER)
       #endif